Package org.flowable.engine.delegate.event.impl

# Class FlowableSignalEventImpl

java.lang.Object
org.flowable.common.engine.impl.event.FlowableEventImpl
org.flowable.common.engine.impl.event.FlowableEngineEventImpl
org.flowable.engine.delegate.event.impl.FlowableProcessEventImpl
org.flowable.engine.delegate.event.impl.FlowableActivityEventImpl
org.flowable.engine.delegate.event.impl.FlowableSignalEventImpl

All Implemented Interfaces:
  `FlowableEngineEvent`, `FlowableEvent`, `FlowableActivityEvent`, `FlowableProcessEngineEvent`, `FlowableSignalEvent`

public class FlowableSignalEventImpl extends FlowableActivityEventImpl implements FlowableSignalEvent
An `FlowableSignalEvent` implementation.

Author:
  Frederik Heremans

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Object`
  `signalData`
  `protected String`
  `signalName`

  ### Fields inherited from class org.flowable.engine.delegate.event.impl.FlowableActivityEventImpl

  `activityId, activityName, activityType, behaviorClass`

  ### Fields inherited from class org.flowable.common.engine.impl.event.FlowableEngineEventImpl

  `scopeDefinitionId, scopeId, scopeType, subScopeId`

  ### Fields inherited from class org.flowable.common.engine.impl.event.FlowableEventImpl

  `type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowableSignalEventImpl(FlowableEngineEventType type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getSignalData()`
  `String`
  `getSignalName()`
  `void`
  `setSignalData(Object signalData)`
  `void`
  `setSignalName(String signalName)`

  ### Methods inherited from class org.flowable.engine.delegate.event.impl.FlowableActivityEventImpl

  `getActivityId, getActivityName, getActivityType, getBehaviorClass, setActivityId, setActivityName, setActivityType, setBehaviorClass`

  ### Methods inherited from class org.flowable.engine.delegate.event.impl.FlowableProcessEventImpl

  `getExecution`

  ### Methods inherited from class org.flowable.common.engine.impl.event.FlowableEngineEventImpl

  `getExecutionId, getProcessDefinitionId, getProcessInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getSubScopeId, getType, setExecutionId, setProcessDefinitionId, setProcessInstanceId, setScopeDefinitionId, setScopeId, setScopeType, setSubScopeId, setType`

  ### Methods inherited from class org.flowable.common.engine.impl.event.FlowableEventImpl

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.flowable.engine.delegate.event.FlowableActivityEvent

  `getActivityId, getActivityName, getActivityType, getBehaviorClass`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEngineEvent

  `getExecutionId, getProcessDefinitionId, getProcessInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getSubScopeId`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEvent

  `getType`

- ## Field Details

  - ### signalName

    protected String signalName

  - ### signalData

    protected Object signalData

- ## Constructor Details

  - ### FlowableSignalEventImpl

    public FlowableSignalEventImpl(FlowableEngineEventType type)

- ## Method Details

  - ### getSignalName

    public String getSignalName()
    Specified by:
      `getSignalName` in interface `FlowableSignalEvent`
    Returns:
      the name of the signal. Returns null, if no specific signal name has been specified when signaling.

  - ### setSignalName

    public void setSignalName(String signalName)

  - ### getSignalData

    public Object getSignalData()
    Specified by:
      `getSignalData` in interface `FlowableSignalEvent`
    Returns:
      the payload that was passed when signaling. Returns null, if no payload was passed.

  - ### setSignalData

    public void setSignalData(Object signalData)